USE SAKILA;

#DEFAULT ORDER BY 
#EXAMPLE 1 : Numeric sort
SELECT * FROM FILM_LIST ORDER BY LENGTH;

#EXAMPLE 2 :Alphabetical sort
SELECT * FROM SALES_BY_FILM_CATEGORY ORDER BY CATEGORY;

#ORDER BY ASC
#EXAMPLE 1 : ALPHABETIC/LEXICAL SORT
SELECT * FROM ADDRESS ORDER BY DISTRICT ASC;

#EXAMPLE 2 : NUMERIC
SELECT * FROM ADDRESS ORDER BY CITY_ID ASC;


# ORDER BY DESC
#EXAMPLE 1: NUMERIC
SELECT * FROM CITY ORDER BY COUNTRY_ID DESC;

#EXAMPLE 2: ALPHABETICAL/LEXICAL
SELECT * FROM CITY ORDER BY CITY DESC;

#ORDER BY MULTIPLE COLUMNS  :: NO ORDER MENTIONED FOR BOTH 
SELECT * FROM FILM ORDER BY TITLE , RATING ;

#ORDER BY MULTIPLE COLUMNS: ORDER FOR RATING, NONE FOR TITLE
SELECT * FROM FILM ORDER BY TITLE , RATING DESC;

#ORDER BY MULTIPLE COLUMNS: ORDER FOR TITLE AND  FOR RATING
SELECT * FROM FILM ORDER BY TITLE DESC, RATING DESC;

#ORDER BY MULTIPLE COLUMNS: ORDER FOR TITLE, NONE FOR RATING
SELECT * FROM FILM ORDER BY TITLE DESC, RATING;

#ORDER BY MULTIPLE COLUMNS EXAMPLE 1 :: LEXICALLY SAME LAST_NAME 
SELECT * FROM CUSTOMER ORDER BY LAST_NAME DESC,FIRST_NAME;

#ORDER BY MULTIPLE COLUMNS EXAMPLE 1 :: LEXICALLY SAME LAST_NAME 
SELECT * FROM CUSTOMER ORDER BY LAST_NAME DESC,FIRST_NAME ASC;

#ORDER BY MULTIPLE COLUMNS EXAMPLE 1 :: LEXICALLY SAME LAST_NAME 
SELECT * FROM CUSTOMER ORDER BY LAST_NAME DESC,FIRST_NAME DESC;


#Order by Multiple columns for multiple tables
SELECT F.FILM_ID,F.TITLE,C.NAME,F.LENGTH,F.DESCRIPTION,F.RENTAL_RATE,F.RATING,GROUP_CONCAT(CONCAT(A.FIRST_NAME," ",A.LAST_NAME) SEPARATOR ', ') AS "ACTORS"
FROM CATEGORY C, FILM_CATEGORY FC,FILM F, FILM_ACTOR FA,ACTOR A
WHERE C.CATEGORY_ID = FC.CATEGORY_ID
AND FC.FILM_ID = F.FILM_ID
AND F.FILM_ID = FA.FILM_ID
AND FA.ACTOR_ID = A.ACTOR_ID
GROUP BY F.TITLE
ORDER BY C.NAME DESC,F.LENGTH DESC,F.TITLE ASC;


